Soporte técnico para Spatial - spectrum_platform - 23.1

Guía de instalación de Spectrum para Linux

Product type
Portfolio
Integrate
Locate
Verify
Product family
Product
Spectrum > Spectrum Platform
Version
23.1
Language
Español (México)
Product name
Spectrum Technology Platform
Title
Guía de instalación de Spectrum para Linux
First publish date
2007
ft:lastEdition
2024-02-07
ft:lastPublication
2024-02-07T17:39:24.412268

Bases de datos

Spectrum Spatial, que incluye el enrutamiento, admite las siguientes bases de datos espaciales para utilizarlas con recursos, datos y servicios espaciales:

  • Oracle 18C y Oracle 19C
  • SQL Server 2016 , SQL Server 2017 y SQL Server 2019
  • PostgreSQL 11.5 (con PostGIS 2.5) y PostgreSQL 12.0 (con PostGIS 3.0)
    Nota: Spectrum Spatial requiere la extensión PostGIS para el proveedor de origen de datos PostGreSQL, incluso si la capacidad de procesamiento especial no se usará ni será necesaria.
  • GeoPackage (Windows y CentOS)

Formatos de datos

Spectrum Spatial es compatible con los siguientes formatos de datos para usarlos con los servicios espaciales:

  • JDBC genérica (con XY)
  • TAB (nativo, nativo extendido, ráster, cuadrícula, integrado, DBF)
  • ESRI Shapefile
  • ESRI File Geodatabase (acceso de lectura a capas vectoriales de File Geodatabases y directorios .gdb creados con ArcGIS 10 o una versión posterior)

Compatibilidad con TAB en Linux

En Spectrum Spatial, se admite trabajar con archivos TAB en Linux, pero el acceso de escritura no está disponible para algunas versiones.

Sistema operativo Linux Acceder
CentOS Linux leer/escribir/eliminar
Oracle Linux leer/escribir/eliminar
Red Hat Enterprise Linux leer/escribir/eliminar
Ubuntu LTS leer/escribir/eliminar

Kit de desarrollo de Java (JDK)

Azul, Oracle y Open JDK11 en Linux requieren fuentes Lucida para el renderizado de mapas de Spectrum Spatial.

Azul Zulu OpenJDK11 y otros paquetes de instalación de JDK11 no incluyen archivos de fuentes de forma predeterminada. Estos JDK utilizan de forma automática las fuentes disponibles que se proporcionan en el sistema operativo cuando los paquetes de fuentes del sistema operativo no están instalados por defecto. A continuación, se encuentran los comandos para instalar un conjunto estándar de paquetes de fuentes de sistema operativo para obtener fuentes de Lucida:

RHEL/Centos: sudo yum install fontconfig dejavu-sans-fonts dejavu-serif-fonts

Ubuntu/Debian: sudo apt install fonts-dejavu fontconfig

SLES: sudo zypper install dejavu-fonts fontconfig

Para obtener más detalles, consulte https://support.azul.com/hc/en-us/articles/360034030692-Using-Fonts-with-OpenJDK-Azul-Zulu-Builds-of-OpenJDK.

Formatos ráster

Para usar rásters y cuadrículas como una capa de mapa, debe existir un archivo .TAB relacionado con información de referencia geográfica sobre la imagen, lo que incluye los límites, el sistema de coordenadas y los puntos de registro.

Spectrum Spatial admite los siguientes formatos ráster y de cuadrícula (solo 64 bit):

Formatos ráster

Formato Extensión de archivo
ADRG .gen
ASRP .gen
BMP .bmp, .wbmp
CADRG .gen
CIB varios
ECW (SDK versión 5) .ecw
GeoTiff .geotif
GIF .gif
JPEG .jpg/.jpeg
MrSID (SDK versión 9)
Nota: Admite MG4 (MrSID generación 4). Consulte las notas específicas del sistema operativo a continuación:
.sid
NITF .ntf
PNG .png
TIFF
Nota: Los archivos TIFF que usan el Feature Service y el Mapping Service no pueden superar los 2 GB.
.tif
Nota: Los siguientes sistemas operativos Linux requieren que se instalen archivos de biblioteca para leer los archivos de ráster MrSID.
SO Requisitos previos para MrSID
CentOS 7.x libpng12.so es necesario para leer los archivos de ráster MrSID.

Ubuntu 20.x LTS
Ubuntu 22.x LTS

libpng12.deb y libjpeg62 son necesarios para leer los archivos de ráster MrSID. De lo contrario, verá el mensaje “Se produjo un error en la lectura del archivo ráster” cuando se instalen las librerías de tiempo de ejecución utilizando el comando:

apt-get install libstdc++5:i386 zlib1g:i386.

Para instalar los archivos de biblioteca, como administrador del sistema realice los siguientes pasos:

  1. Descargue el archivo libpng12.deb y colóquelo en la carpeta /tmp con el siguiente comando:

    wget -q -O /tmp/libpng12.deb http://mirrors.kernel.org/ubuntu/pool/main/libp/libpng/libpng12-0_1.2.54-1ubuntu1_amd64.deb

  2. Instale el paquete Debian( ubicado en la carpeta /tmp) mediante la ejecución del siguiente comando:

    dpkg -i /tmp/libpng12.deb

  3. Instale libjpeg62 mediante la ejecución del siguiente comando:

    apt-get install libjpeg62

Formatos de cuadrícula

Formato Extensión de archivo
Defense Digital Terrain Elevation Data (DTED, Datos digitales de defensa de elevación del terreno) .dt0, .dt1, .dt2, .dt3
MapInfo Grid .mig
MRR (Multi-Resolution Raster)
Nota: Se proporciona esta compatibilidad en los siguientes entornos Linux:
  • Oracle Linux 7.1, 8.x, 9.x
  • CentOS 7.x
  • Ubuntu 20.04, 22.04
.mrr
Cuadrícula clasificada del mapeador vertical .grc
Cuadrícula continua del mapeador vertical .grd

Utilidades

Las utilidades de Spectrum Spatial (Tile Generator, WMTS Tile Generator y Geometry Validator) requieren Java 11 como mínimo.

Ejemplos .NET

Las muestras de .NET requieren, como mínimo, Visual Studio 2013 y Microsoft .NET Framework 4.5.

Compatibilidad con MapInfo Professional

El Map Uploader que se proporciona en Spatial es compatible con MapInfo Professional 16.x o una versión más reciente. Para obtener más información sobre la interoperabilidad de los dos productos, consulte la sección titulada MapInfo Pro bajo Primeros pasos y Herramientas en la Guía de Spectrum Spatial.

WebDAV

Cuando se establece comunicación con el servidor a través de HTTPS para asignar una unidad al repositorio, es necesario que un cliente de WebDAV use el protocolo TLS v1.2.